Subject: Re: bug#40634: Massive pattern list handling with -E format seems very slow since 2.28.

From: Norihiro Tanaka <[email-masked]>
Date: Fri, 17 Apr 2020 09:35:36 +0900

On Thu, 16 Apr 2020 16:00:29 -0700
Paul Eggert <[email-masked]> wrote:

> On 4/16/20 3:53 PM, Norihiro Tanaka wrote:
> 
> > I have had no idea to solve the problem yet.  If we revert it, bug#33357
> > will come back.
> 
> Yes, I'd rather not revert if we can help it.
> 
> My own thought was to not analyze the regular expression if we discover that the input is empty. :-)

Now, I have a idea, it is that we build indexes of epsilon nodes
including in follows before remove epsilon nodes.